Name:		corebox
Summary:	An application launcher with builtin apps
Version:	2.2
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
Source1:    CoreBox.desktop
URL:		https://github.com/rahmanshaber/corebox
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:%{_tmppath}/%{name}-%{version}
BuildRequires: kirigami-devel
BuildRequires: lib64archive-devel
BuildRequires: lib64bzip2-devel
BuildRequires: lib64lzma-devel
BuildRequires: lib64modemmanager-qt-devel
BuildRequires: lib64networkmanager-qt-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64qt5charts-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5datavisualization-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5gamepad-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5keychain-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediagsttools-devel
BuildRequires: lib64qt5multimediaquick-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5networkauth-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5packetprotocol-static-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5purchasing-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5qt3d-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktemplates-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5remoteobjects-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5scxml-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialbus-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5texttospeech-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64qt5webview-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xmlpatterns-devel
BuildRequires: lib64syntax-highlighting-devel
BuildRequires: lib64x11-devel
BuildRequires: libxcb-devel

%description
CoreBox is combination of some common desktop apps.For Linux only. It
does not seem to work properly in KDE Plasma at this time.


%prep
%setup -q

%build
%qmake_qt5
%make

%install
%__rm -rf %{buildroot}
mkdir -p %{buildroot}
make install INSTALL_ROOT=%{buildroot}

rm -rf %buildroot/%{_includedir}
rm -f %buildroot/usr/lib/*.so

#custom menu entry
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%{_bindir}/coreBox
/usr/lib/*.so.*
%{_datadir}/applications/CoreBox.desktop
%{_datadir}/corebox/ChangeLog
%{_datadir}/corebox/ReleaseNotes
%{_datadir}/cterminal/color-schemes/BlackOnLightYellow.schema
%{_datadir}/cterminal/color-schemes/BlackOnRandomLight.colorscheme
%{_datadir}/cterminal/color-schemes/BlackOnWhite.schema
%{_datadir}/cterminal/color-schemes/BreezeModified.colorscheme
%{_datadir}/cterminal/color-schemes/DarkPastels.colorscheme
%{_datadir}/cterminal/color-schemes/GreenOnBlack.colorscheme
%{_datadir}/cterminal/color-schemes/Linux.colorscheme
%{_datadir}/cterminal/color-schemes/Solarized.colorscheme
%{_datadir}/cterminal/color-schemes/SolarizedLight.colorscheme
%{_datadir}/cterminal/color-schemes/Tango.colorscheme
%{_datadir}/cterminal/color-schemes/Ubuntu.colorscheme
%{_datadir}/cterminal/color-schemes/WhiteOnBlack.schema
%{_datadir}/cterminal/color-schemes/historic/BlackOnLightColor.schema
%{_datadir}/cterminal/color-schemes/historic/DarkPicture.schema
%{_datadir}/cterminal/color-schemes/historic/Example.Schema
%{_datadir}/cterminal/color-schemes/historic/GreenOnBlack.schema
%{_datadir}/cterminal/color-schemes/historic/GreenTint.schema
%{_datadir}/cterminal/color-schemes/historic/GreenTint_MC.schema
%{_datadir}/cterminal/color-schemes/historic/LightPicture.schema
%{_datadir}/cterminal/color-schemes/historic/Linux.schema
%{_datadir}/cterminal/color-schemes/historic/README.Schema
%{_datadir}/cterminal/color-schemes/historic/README.default.Schema
%{_datadir}/cterminal/color-schemes/historic/Transparent.schema
%{_datadir}/cterminal/color-schemes/historic/Transparent_MC.schema
%{_datadir}/cterminal/color-schemes/historic/Transparent_darkbg.schema
%{_datadir}/cterminal/color-schemes/historic/Transparent_lightbg.schema
%{_datadir}/cterminal/color-schemes/historic/XTerm.schema
%{_datadir}/cterminal/color-schemes/historic/syscolor.schema
%{_datadir}/cterminal/color-schemes/historic/vim.schema
%{_datadir}/cterminal/kb-layouts/default.keytab
%{_datadir}/cterminal/kb-layouts/historic/vt100.keytab
%{_datadir}/cterminal/kb-layouts/historic/x11r5.keytab
%{_datadir}/cterminal/kb-layouts/linux.keytab
%{_datadir}/cterminal/kb-layouts/macbook.keytab
%{_datadir}/cterminal/kb-layouts/solaris.keytab
%{_datadir}/cterminal/kb-layouts/vt420pc.keytab
%{_datadir}/icons/hicolor/scalable/apps/CoreBox.svg
%{_datadir}/libcarchiver/ChangeLog

%changelog
